﻿@model SportsClub.Models.Register.CalendarModel
@{
    Layout = null;
}
<style type="text/css">
    /*--move to register.css after complete task--*/
    .calendar-label-title {
        height: 16px;
        width: 16px;
        float: right;
        border: solid 1px white;
        margin-left: 21px;
        margin-top: 4px;
        text-align: center;
        border-radius: 11px;
    }

    .k-event, .k-task-complete {
        border-color: #FFFFFF;
        background: #FFFFFF 0 -257px url(textures/highlight.png) repeat-x;
        color: #0000FF;
    }

    [role=gridcell] {
        height: auto !important;
    }

    .checkbox-calendar, .checkbox-calendar label {
        vertical-align: middle;
    }

        .checkbox-calendar label {
            line-height: 16px;
        }

            .checkbox-calendar label input[type=checkbox] {
                margin: 0 2px;
                display: inline-block;
                vertical-align: middle;
                margin-bottom: 3px;
            }

    .k-more-events {
        display: none;
    }

    .lbl_side-top {
        font-size: 11px;
        position: relative !important;
        line-height: 0.8 !important;
    }
    @@media (min-width:1440px) {
        .lbl_side-top {
            white-space: nowrap;
        }
    }
</style>


<div style="margin:10px;margin-bottom:20px;">
    <div class="row">
        <div class="col-md-4">

        </div>
    </div>
</div>
<div id="calendarSection">
    @(Html.Kendo().Scheduler<SportsClub.Models.Register.CalendarModel>()
    .Name("scheduler")
    .Date(Model.Start)
    .Height(700)
    .Editable(false)
    .Events(evt => evt.DataBound("schedulerChange"))
            .EventTemplate("<div class='customAllDayTemplate checkbox-calendar' style='color: #:Color#'>" +
                                            "<label class='lbl_side-top'><input class='calendar-day'  type='checkbox' # if(IsFull) {# disabled #} # # if(Selected) {# checked #} #" +
                            " id = 'chkday#: TaskID #' data-dodate='#:DoDate#' data-title ='#=kendo.toString(start, 'MMM dd yyyy')# - #=kendo.toString(title)#'" +
                            " data-chargeid='#:ChargeId#' data-parent-charge='#:ChargeId#' data-scheduleid='#:ScheduleId#'" +
                            " data-schedule-title='' data-schedule-date='' data-category='#:ChargeCategory#' data-dayDate='#:DayDate#'" +
                            " data-subcategory='charge' data-name='#:ChargeName#' data-description='#: Description2 #'  data-amount = '#: Amount #'" +
                            " data-id='#: TaskID #' onChange='changeCalendarItem(this)'/>" +
                            "#:FirstTime#" + "<br/>" + "#:SecondTime# </lablel>" +
                                    "</div>")
    .Views(views =>
    {
        //views.DayView();
        //views.WeekView();
        views.MonthView(monthView => monthView.Selected(false));
    })
    .DataSource(d => d
            .Model(m =>
            {
                m.Id(f => f.TaskID);
            })
             .Read("GetCalendarItems", "Register", new { programId = Model.ProgramId, scheduleId = Model.ScheduleId })
    )
    )
</div>
